"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.eslint = void 0;
const best_practice_1 = require("./rule/best_practice");
const disabled_rule_1 = require("./rule/disabled_rule");
const error_1 = require("./rule/error");
const strict_1 = require("./rule/strict");
const style_1 = require("./rule/style");
const variable_1 = require("./rule/variable");
const eslint = {
    rules: {
        ...disabled_rule_1.disabledRule,
        ...style_1.style,
        ...error_1.error,
        ...strict_1.strict,
        ...best_practice_1.bestPractice,
        ...variable_1.variable
    }
};
exports.eslint = eslint;
//# sourceMappingURL=eslint.js.map