declare const style: {
    'array-bracket-newline': string[];
    'array-bracket-spacing': string[];
    'array-element-newline': (string | {
        minItems: number;
        multiline: boolean;
    })[];
    'arrow-body-style': (string | {
        requireReturnForObjectLiteral: boolean;
    })[];
    'arrow-parens': string[];
    'arrow-spacing': (string | {
        after: boolean;
        before: boolean;
    })[];
    'block-spacing': string[];
    'brace-style': string[];
    camelcase: (string | {
        ignoreDestructuring: boolean;
        properties: string;
    })[];
    'comma-dangle': string[];
    'comma-spacing': (string | {
        after: boolean;
        before: boolean;
    })[];
    'comma-style': string[];
    'computed-property-spacing': string[];
    curly: string[];
    'dot-location': string[];
    'dot-notation': string;
    'eol-last': string[];
    'func-call-spacing': string[];
    'func-style': string[];
    'function-call-argument-newline': string[];
    'function-paren-newline': string[];
    'generator-star-spacing': (string | {
        after: boolean;
        before: boolean;
    })[];
    'implicit-arrow-linebreak': string[];
    indent: (string | number | {
        SwitchCase: number;
    })[];
    'jsx-quotes': string[];
    'key-spacing': (string | {
        afterColon: boolean;
        mode: string;
    })[];
    'keyword-spacing': (string | {
        overrides: {
            case: {
                after: boolean;
            };
            if: {
                after: boolean;
                before: boolean;
            };
            return: {
                after: boolean;
            };
            throw: {
                after: boolean;
            };
        };
    })[];
    'line-comment-position': (string | {
        applyDefaultPatterns: boolean;
        position: string;
    })[];
    'linebreak-style': string[];
    'lines-around-comment': (string | {
        afterBlockComment: boolean;
        beforeBlockComment: boolean;
    })[];
    'lines-between-class-members': string[];
    'max-len': (string | number | {
        ignoreComments: boolean;
        ignoreRegExpLiterals: boolean;
        ignoreStrings: boolean;
        ignoreTemplateLiterals: boolean;
        ignoreUrls: boolean;
    })[];
    'max-statements-per-line': (string | {
        max: number;
    })[];
    'multiline-comment-style': string[];
    'multiline-ternary': string[];
    'new-cap': (string | {
        capIsNew: boolean;
        capIsNewExceptions: string[];
        newIsCap: boolean;
        newIsCapExceptions: never[];
    })[];
    'new-parens': string;
    'newline-per-chained-call': (string | {
        ignoreChainWithDepth: number;
    })[];
    'no-extra-parens': (string | {
        conditionalAssign: boolean;
        ignoreJSX: string;
    })[];
    'no-mixed-spaces-and-tabs': string;
    'no-multi-spaces': string;
    'no-multiple-empty-lines': (string | {
        max: number;
        maxBOF: number;
        maxEOF: number;
    })[];
    'no-tabs': string;
    'no-trailing-spaces': (string | {
        ignoreComments: boolean;
        skipBlankLines: boolean;
    })[];
    'no-whitespace-before-property': string;
    'nonblock-statement-body-position': string[];
    'object-curly-newline': (string | {
        ExportDeclaration: {
            consistent: boolean;
            minProperties: number;
            multiline: boolean;
        };
        ImportDeclaration: {
            consistent: boolean;
            minProperties: number;
            multiline: boolean;
        };
        ObjectExpression: {
            consistent: boolean;
            minProperties: number;
            multiline: boolean;
        };
        ObjectPattern: {
            consistent: boolean;
            minProperties: number;
            multiline: boolean;
        };
    })[];
    'object-curly-spacing': string[];
    'object-property-newline': (string | {
        allowAllPropertiesOnSameLine: boolean;
    })[];
    'operator-linebreak': string[];
    'padded-blocks': (string | {
        blocks: string;
        classes: string;
        switches: string;
        allowSingleLineBlocks?: undefined;
    } | {
        allowSingleLineBlocks: boolean;
        blocks?: undefined;
        classes?: undefined;
        switches?: undefined;
    })[];
    'padding-line-between-statements': (string | {
        blankLine: string;
        next: string;
        prev: string[];
    } | {
        blankLine: string;
        next: string[];
        prev: string[];
    })[];
    'quote-props': (string | {
        keywords: boolean;
        numbers: boolean;
        unnecessary: boolean;
    })[];
    quotes: string[];
    'rest-spread-spacing': string[];
    semi: string[];
    'semi-spacing': (string | {
        after: boolean;
        before: boolean;
    })[];
    'semi-style': string[];
    'space-before-blocks': string;
    'space-before-function-paren': (string | {
        anonymous: string;
        asyncArrow: string;
        named: string;
    })[];
    'space-in-parens': string[];
    'space-infix-ops': string;
    'space-unary-ops': (string | {
        nonwords: boolean;
        words: boolean;
    })[];
    'spaced-comment': string[];
    'switch-colon-spacing': string;
    'template-curly-spacing': string;
    'template-tag-spacing': string[];
    'unicode-bom': string[];
    'wrap-iife': (string | {
        functionPrototypeMethods: boolean;
    })[];
    'wrap-regex': string;
    'yield-star-spacing': string[];
};
export { style };
