declare const eslintImport: {
    plugins: string[];
    rules: {
        'import/consistent-type-specifier-style': string[];
        'import/default': string;
        'import/export': string;
        'import/exports-last': string;
        'import/first': string;
        'import/named': (string | {
            commonjs: boolean;
        })[];
        'import/namespace': string;
        'import/newline-after-import': string;
        'import/no-absolute-path': string;
        'import/no-amd': string;
        'import/no-anonymous-default-export': (string | {
            allowCallExpression: boolean;
        })[];
        'import/no-cycle': (string | {
            commonjs: boolean;
        })[];
        'import/no-deprecated': string;
        'import/no-duplicates': string;
        'import/no-empty-named-blocks': string;
        'import/no-extraneous-dependencies': (string | {
            bundledDependencies: boolean;
            devDependencies: string[];
            includeTypes: boolean;
            optionalDependencies: boolean;
            peerDependencies: boolean;
        })[];
        'import/no-import-module-exports': (string | {
            exceptions: never[];
        })[];
        'import/no-mutable-exports': string;
        'import/no-named-as-default': string;
        'import/no-named-as-default-member': string;
        'import/no-named-default': string;
        'import/no-namespace': string;
        'import/no-relative-packages': string;
        'import/no-self-import': string;
        'import/no-unresolved': (string | {
            caseSensitive: boolean;
            commonjs: boolean;
        })[];
        'import/no-useless-path-segments': (string | {
            commonjs: boolean;
        })[];
        'import/no-webpack-loader-syntax': string;
        'import/dynamic-import-chunkname': string;
        'import/group-exports': string;
        'import/max-dependencies': string;
        'import/no-commonjs': string;
        'import/no-default-export': string;
        'import/no-dynamic-require': (string | {
            esmodule: boolean;
        })[];
        'import/no-internal-modules': string;
        'import/no-named-export': string;
        'import/no-nodejs-modules': string;
        'import/no-relative-parent-imports': string;
        'import/no-restricted-paths': string;
        'import/no-unassigned-import': string;
        'import/no-unused-modules': string;
        'import/order': string;
        'import/prefer-default-export': string;
        'import/unambiguous': string;
    };
    settings: {
        'import/core-modules': never[];
        'import/extensions': string[];
        'import/ignore': string[];
        'import/resolver': {
            node: {
                extensions: string[];
            };
        };
    };
};
export { eslintImport };
