"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.typescriptStyle = void 0;
const best_practice_1 = require("../../eslint/rule/best_practice");
const error_1 = require("../../eslint/rule/error");
const style_1 = require("../../eslint/rule/style");
const typescriptStyle = {
    '@typescript-eslint/adjacent-overload-signatures': 'error',
    '@typescript-eslint/block-spacing': style_1.style['block-spacing'],
    '@typescript-eslint/brace-style': style_1.style['brace-style'],
    '@typescript-eslint/comma-dangle': style_1.style['comma-dangle'],
    '@typescript-eslint/comma-spacing': style_1.style['comma-spacing'],
    '@typescript-eslint/default-param-last': best_practice_1.bestPractice['default-param-last'],
    '@typescript-eslint/dot-notation': style_1.style['dot-notation'],
    '@typescript-eslint/func-call-spacing': style_1.style['func-call-spacing'],
    '@typescript-eslint/indent': style_1.style.indent,
    '@typescript-eslint/key-spacing': style_1.style['key-spacing'],
    '@typescript-eslint/lines-between-class-members': style_1.style['lines-between-class-members'],
    '@typescript-eslint/no-array-constructor': error_1.error['no-array-constructor'],
    '@typescript-eslint/no-dupe-class-members': error_1.error['no-dupe-class-members'],
    '@typescript-eslint/no-empty-function': error_1.error['no-empty-function'],
    '@typescript-eslint/no-extra-parens': style_1.style['no-extra-parens'],
    '@typescript-eslint/no-extra-semi': error_1.error['no-extra-semi'],
    '@typescript-eslint/no-implied-eval': error_1.error['no-implied-eval'],
    '@typescript-eslint/no-invalid-this': error_1.error['no-invalid-this'],
    '@typescript-eslint/no-loop-func': error_1.error['no-loop-func'],
    '@typescript-eslint/no-loss-of-precision': error_1.error['no-loss-of-precision'],
    '@typescript-eslint/no-magic-numbers': error_1.error['no-magic-numbers'],
    '@typescript-eslint/no-redeclare': error_1.error['no-redeclare'],
    '@typescript-eslint/no-restricted-imports': error_1.error['no-restricted-imports'],
    '@typescript-eslint/no-shadow': error_1.error['no-shadow'],
    '@typescript-eslint/no-throw-literal': error_1.error['no-throw-literal'],
    '@typescript-eslint/no-unused-expressions': ['error', { enforceForJSX: true }],
    '@typescript-eslint/no-unused-vars': error_1.error['no-unused-vars'],
    '@typescript-eslint/no-use-before-define': error_1.error['no-use-before-define'],
    '@typescript-eslint/no-useless-constructor': error_1.error['no-useless-constructor'],
    '@typescript-eslint/object-curly-spacing': style_1.style['object-curly-spacing'],
    '@typescript-eslint/padding-line-between-statements': style_1.style['padding-line-between-statements'],
    '@typescript-eslint/quotes': style_1.style.quotes,
    '@typescript-eslint/require-await': best_practice_1.bestPractice['require-await'],
    '@typescript-eslint/return-await': error_1.error['no-return-await'],
    '@typescript-eslint/semi': style_1.style.semi,
    '@typescript-eslint/space-before-blocks': style_1.style['space-before-blocks'],
    '@typescript-eslint/space-before-function-paren': style_1.style['space-before-function-paren'],
    '@typescript-eslint/space-infix-ops': style_1.style['space-infix-ops'],
    'block-spacing': 'off',
    'brace-style': 'off',
    'comma-dangle': 'off',
    'comma-spacing': 'off',
    'default-param-last': 'off',
    'dot-notation': 'off',
    'func-call-spacing': 'off',
    indent: 'off',
    'init-declarations': 'off',
    'key-spacing': 'off',
    'lines-between-class-members': 'off',
    'no-array-constructor': 'off',
    'no-dupe-class-members': 'off',
    'no-duplicate-imports': 'off',
    'no-empty-function': 'off',
    'no-extra-parens': 'off',
    'no-extra-semi': 'off',
    'no-implied-eval': 'off',
    'no-invalid-this': 'off',
    'no-loop-func': 'off',
    'no-loss-of-precision': 'off',
    'no-magic-numbers': 'off',
    'no-redeclare': 'off',
    'no-restricted-imports': 'off',
    'no-return-await': 'off',
    'no-shadow': 'off',
    'no-throw-literal': 'off',
    'no-unused-expressions': 'off',
    'no-unused-vars': 'off',
    'no-use-before-define': 'off',
    'no-useless-constructor': 'off',
    'object-curly-spacing': 'off',
    'padding-line-between-statements': 'off',
    quotes: 'off',
    'require-await': 'off',
    semi: 'off',
    'space-before-blocks': 'off',
    'space-before-function-paren': 'off',
    'space-infix-ops': 'off'
};
exports.typescriptStyle = typescriptStyle;
//# sourceMappingURL=typescript_style.js.map