declare const typescript: {
    overrides: {
        files: string[];
        rules: {
            'import/named': string;
            'import/no-named-as-default-member': string;
            'import/no-unresolved': string;
        };
    }[];
    parser: string;
    parserOptions: {
        project: string[];
    };
    plugins: string[];
    rules: {
        '@typescript-eslint/array-type': string;
        '@typescript-eslint/await-thenable': string;
        '@typescript-eslint/ban-ts-comment': string;
        '@typescript-eslint/ban-tslint-comment': string;
        '@typescript-eslint/ban-types': string;
        '@typescript-eslint/class-literal-property-style': string;
        '@typescript-eslint/consistent-generic-constructors': string;
        '@typescript-eslint/consistent-indexed-object-style': string;
        '@typescript-eslint/consistent-type-assertions': string;
        '@typescript-eslint/consistent-type-definitions': string[];
        '@typescript-eslint/consistent-type-exports': string;
        '@typescript-eslint/consistent-type-imports': (string | {
            prefer: string;
        })[];
        '@typescript-eslint/explicit-function-return-type': string;
        '@typescript-eslint/member-delimiter-style': string;
        '@typescript-eslint/method-signature-style': string;
        '@typescript-eslint/no-base-to-string': string;
        '@typescript-eslint/no-confusing-non-null-assertion': string;
        '@typescript-eslint/no-confusing-void-expression': string;
        '@typescript-eslint/no-duplicate-enum-values': string;
        '@typescript-eslint/no-duplicate-type-constituents': string;
        '@typescript-eslint/no-dynamic-delete': string;
        '@typescript-eslint/no-empty-interface': string;
        '@typescript-eslint/no-explicit-any': string;
        '@typescript-eslint/no-extra-non-null-assertion': string;
        '@typescript-eslint/no-extraneous-class': string;
        '@typescript-eslint/no-floating-promises': string;
        '@typescript-eslint/no-for-in-array': string;
        '@typescript-eslint/no-implicit-any-catch': string;
        '@typescript-eslint/no-import-type-side-effects': string;
        '@typescript-eslint/no-inferrable-types': string;
        '@typescript-eslint/no-invalid-void-type': string;
        '@typescript-eslint/no-meaningless-void-operator': string;
        '@typescript-eslint/no-misused-new': string;
        '@typescript-eslint/no-misused-promises': (string | {
            checksVoidReturn: {
                arguments: boolean;
                attributes: boolean;
            };
        })[];
        '@typescript-eslint/no-mixed-enums': string;
        '@typescript-eslint/no-namespace': string;
        '@typescript-eslint/no-non-null-asserted-nullish-coalescing': string;
        '@typescript-eslint/no-non-null-asserted-optional-chain': string;
        '@typescript-eslint/no-require-imports': string;
        '@typescript-eslint/no-this-alias': string;
        '@typescript-eslint/no-unnecessary-boolean-literal-compare': string;
        '@typescript-eslint/no-unnecessary-condition': string;
        '@typescript-eslint/no-unnecessary-qualifier': string;
        '@typescript-eslint/no-unnecessary-type-arguments': string;
        '@typescript-eslint/no-unnecessary-type-assertion': string;
        '@typescript-eslint/no-unnecessary-type-constraint': string;
        '@typescript-eslint/no-unsafe-argument': string;
        '@typescript-eslint/no-unsafe-assignment': string;
        '@typescript-eslint/no-unsafe-call': string;
        '@typescript-eslint/no-unsafe-declaration-merging': string;
        '@typescript-eslint/no-unsafe-enum-comparison': string;
        '@typescript-eslint/no-unsafe-member-access': string;
        '@typescript-eslint/no-unsafe-return': string;
        '@typescript-eslint/no-useless-empty-export': string;
        '@typescript-eslint/no-var-requires': string;
        '@typescript-eslint/non-nullable-type-assertion-style': string;
        '@typescript-eslint/parameter-properties': string;
        '@typescript-eslint/prefer-as-const': string;
        '@typescript-eslint/prefer-for-of': string;
        '@typescript-eslint/prefer-function-type': string;
        '@typescript-eslint/prefer-includes': string;
        '@typescript-eslint/prefer-literal-enum-member': string;
        '@typescript-eslint/prefer-namespace-keyword': string;
        '@typescript-eslint/prefer-nullish-coalescing': (string | {
            ignoreTernaryTests: boolean;
        })[];
        '@typescript-eslint/prefer-optional-chain': string;
        '@typescript-eslint/prefer-readonly': string;
        '@typescript-eslint/prefer-reduce-type-parameter': string;
        '@typescript-eslint/prefer-regexp-exec': string;
        '@typescript-eslint/prefer-return-this-type': string;
        '@typescript-eslint/prefer-string-starts-ends-with': string;
        '@typescript-eslint/promise-function-async': string;
        '@typescript-eslint/require-array-sort-compare': string;
        '@typescript-eslint/restrict-plus-operands': string;
        '@typescript-eslint/restrict-template-expressions': string;
        '@typescript-eslint/switch-exhaustiveness-check': string;
        '@typescript-eslint/unbound-method': string;
        '@typescript-eslint/unified-signatures': string;
        '@typescript-eslint/adjacent-overload-signatures': string;
        '@typescript-eslint/block-spacing': string[];
        '@typescript-eslint/brace-style': string[];
        '@typescript-eslint/comma-dangle': string[];
        '@typescript-eslint/comma-spacing': (string | {
            after: boolean;
            before: boolean;
        })[];
        '@typescript-eslint/default-param-last': string;
        '@typescript-eslint/dot-notation': string;
        '@typescript-eslint/func-call-spacing': string[];
        '@typescript-eslint/indent': (string | number | {
            SwitchCase: number;
        })[];
        '@typescript-eslint/key-spacing': (string | {
            afterColon: boolean;
            mode: string;
        })[];
        '@typescript-eslint/lines-between-class-members': string[];
        '@typescript-eslint/no-array-constructor': string;
        '@typescript-eslint/no-dupe-class-members': string;
        '@typescript-eslint/no-empty-function': string;
        '@typescript-eslint/no-extra-parens': (string | {
            conditionalAssign: boolean;
            ignoreJSX: string;
        })[];
        '@typescript-eslint/no-extra-semi': string;
        '@typescript-eslint/no-implied-eval': string;
        '@typescript-eslint/no-invalid-this': string;
        '@typescript-eslint/no-loop-func': string;
        '@typescript-eslint/no-loss-of-precision': string;
        '@typescript-eslint/no-magic-numbers': (string | {
            detectObjects: boolean;
            enforceConst: boolean;
            ignore: number[];
            ignoreArrayIndexes: boolean;
            ignoreClassFieldInitialValues: boolean;
            ignoreDefaultValues: boolean;
        })[];
        '@typescript-eslint/no-redeclare': string;
        '@typescript-eslint/no-restricted-imports': string;
        '@typescript-eslint/no-shadow': string;
        '@typescript-eslint/no-throw-literal': string;
        '@typescript-eslint/no-unused-expressions': (string | {
            enforceForJSX: boolean;
        })[];
        '@typescript-eslint/no-unused-vars': (string | {
            argsIgnorePattern: string;
        })[];
        '@typescript-eslint/no-use-before-define': (string | {
            classes: boolean;
            functions: boolean;
            variables: boolean;
        })[];
        '@typescript-eslint/no-useless-constructor': string;
        '@typescript-eslint/object-curly-spacing': string[];
        '@typescript-eslint/padding-line-between-statements': (string | {
            blankLine: string;
            next: string;
            prev: string[];
        } | {
            blankLine: string;
            next: string[];
            prev: string[];
        })[];
        '@typescript-eslint/quotes': string[];
        '@typescript-eslint/require-await': string;
        '@typescript-eslint/return-await': string;
        '@typescript-eslint/semi': string[];
        '@typescript-eslint/space-before-blocks': string;
        '@typescript-eslint/space-before-function-paren': (string | {
            anonymous: string;
            asyncArrow: string;
            named: string;
        })[];
        '@typescript-eslint/space-infix-ops': string;
        'block-spacing': string;
        'brace-style': string;
        'comma-dangle': string;
        'comma-spacing': string;
        'default-param-last': string;
        'dot-notation': string;
        'func-call-spacing': string;
        indent: string;
        'init-declarations': string;
        'key-spacing': string;
        'lines-between-class-members': string;
        'no-array-constructor': string;
        'no-dupe-class-members': string;
        'no-duplicate-imports': string;
        'no-empty-function': string;
        'no-extra-parens': string;
        'no-extra-semi': string;
        'no-implied-eval': string;
        'no-invalid-this': string;
        'no-loop-func': string;
        'no-loss-of-precision': string;
        'no-magic-numbers': string;
        'no-redeclare': string;
        'no-restricted-imports': string;
        'no-return-await': string;
        'no-shadow': string;
        'no-throw-literal': string;
        'no-unused-expressions': string;
        'no-unused-vars': string;
        'no-use-before-define': string;
        'no-useless-constructor': string;
        'object-curly-spacing': string;
        'padding-line-between-statements': string;
        quotes: string;
        'require-await': string;
        semi: string;
        'space-before-blocks': string;
        'space-before-function-paren': string;
        'space-infix-ops': string;
        '@typescript-eslint/explicit-member-accessibility': string;
        '@typescript-eslint/explicit-module-boundary-types': string;
        '@typescript-eslint/init-declarations': string;
        '@typescript-eslint/no-non-null-assertion': string;
        '@typescript-eslint/no-redundant-type-constituents': string;
        '@typescript-eslint/prefer-enum-initializers': string;
        '@typescript-eslint/prefer-readonly-parameter-types': (string | {
            ignoreInferredTypes: boolean;
        })[];
        '@typescript-eslint/prefer-ts-expect-error': string;
        '@typescript-eslint/sort-type-constituents': string;
        '@typescript-eslint/strict-boolean-expressions': string;
        '@typescript-eslint/triple-slash-reference': string;
        '@typescript-eslint/type-annotation-spacing': string;
        '@typescript-eslint/typedef': string;
    };
    settings: {
        'import/extensions': string[];
        'import/external-module-folders': string[];
        'import/parsers': {
            '@typescript-eslint/parser': string[];
        };
        'import/resolver': {
            node: {
                extensions: string[];
                tryExtensions: string[];
            };
        };
    };
};
export = typescript;
